/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialResource;

import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class MatlResUseDesc {
    public int calcUseTime() {
        return 0;
    }

    public BigDecimal calcUseCost() {
        return new BigDecimal(0);
    }

    private int type;

    /** @note miles | hours | number of passengers... */
    private int unitsOfUse;
    private int usageRules;
    private BigDecimal costPerUnitOfUse;
}


